#include <limits.h>
#include <libac.h>

int16_t ds1820_temp10_C(uint8_t device)
{
	uint8_t buf[9];
	int16_t temp;

	if (!ds1820_convert(device)) return -9999;		// update temperature
	if (!ow_function(0xbe, device, DS1820_FAMILY))	// get new temperature
		return -9999;

	if(!ow_buf_read(buf, sizeof(buf), 1 /* crc included, check it */))
		return -9999;

	buf[8] = 0;	// sign flag set to false
	temp = (buf[1] << 8) + buf[0];

	if (temp < 0) {
		buf[8] = 1;	// negative
		temp = -temp;
	}

	temp >>= 1;					// vorkommastellen
	temp *= 10;
	if (buf[0] & 1) temp += 5;	// nachkommastellen
	if (buf[8]) temp = -temp; 	// restore sign

	return temp;
}

/*************************************EndOfFile***************************
$Id: $
vim:tw=78:ts=4:sw=4:ai:
*/
